## lemonldap-ng 1.2.2

=== Makefile ===
#!/usr/bin/make

# Prefix for packaging
DESTDIR=

PERL=$$(which perl)
PERLVERSION=`perl -e '$$version = $$^V; $$version =~ s/v//; print $$version'`
SU=su -c
COMPRESS=tar czf
UNCOMPRESS=tar xzf
LISTCOMPRESSED=tar tzf
COMPRESSSUFFIX=tar.gz
# Perl options
#PERLOPTIONS="INSTALLDIRS=vendor"
PERLOPTIONS=

# Default directories install
PREFIX=/usr/local
LMPREFIX=$(PREFIX)/lemonldap-ng
RLMPREFIX=$(DESTDIR)/$(LMPREFIX)
# BIN dirs
BINDIR=$(LMPREFIX)/bin
RBINDIR=$(DESTDIR)/$(BINDIR)
DATADIR=$(LMPREFIX)/data
RDATADIR=$(DESTDIR)/$(DATADIR)

EXAMPLEROOT=`pwd`/example

# Document roots for Apache VirtualHosts
DOCUMENTROOT=$(LMPREFIX)/htdocs
PORTALDIR=$(DOCUMENTROOT)/portal
RPORTALDIR=$(DESTDIR)/$(PORTALDIR)
PORTALSKINSDIR=$(PORTALDIR)/skins
RPORTALSKINSDIR=$(DESTDIR)/$(PORTALSKINSDIR)
MANAGERDIR=$(DOCUMENTROOT)/manager
RMANAGERDIR=$(DESTDIR)/$(MANAGERDIR)
MANAGERSKINSDIR=$(MANAGERDIR)/skins
RMANAGERSKINSDIR=$(DESTDIR)/$(MANAGERSKINSDIR)
SESSIONSEXPLORERDIR=$(MANAGERDIR)
RSESSIONSEXPLORERDIR=$(DESTDIR)/$(SESSIONSEXPLORERDIR)
DOCDIR=$(DOCUMENTROOT)/doc
RDOCDIR=$(DESTDIR)/$(DOCDIR)
TESTDIR=$(DOCUMENTROOT)/test
RTESTDIR=$(DESTDIR)/$(TESTDIR)
EXAMPLESDIR=$(LMPREFIX)/examples
REXAMPLESDIR=$(DESTDIR)/$(EXAMPLESDIR)
TOOLSDIR=$(LMPREFIX)/tools
RTOOLSDIR=$(DESTDIR)/$(TOOLSDIR)

# Handler dir
HANDLERDIR=$(LMPREFIX)/handler
RHANDLERDIR=$(DESTDIR)/$(HANDLERDIR)

# Configuration dir
CONFDIR=$(LMPREFIX)/etc
RCONFDIR=$(DESTDIR)/$(CONFDIR)
CRONDIR=$(LMPREFIX)/etc/cron.d
RCRONDIR=$(DESTDIR)/$(CRONDIR)
CONFFILENAME=lemonldap-ng.ini
STORAGECONFFILE=$(CONFDIR)/$(CONFFILENAME)

# Lemonldap-ng configuration storage dir
FILECONFIGDIR=$(DATADIR)/conf
RFILECONFIGDIR=$(DESTDIR)/$(FILECONFIGDIR)

# Apache::Session::File storage dir
APACHESESSIONFILEDIR=$(DATADIR)/sessions
RAPACHESESSIONFILEDIR=$(DESTDIR)/$(APACHESESSIONFILEDIR)
APACHESESSIONFILELOCKDIR=$(APACHESESSIONFILEDIR)/lock
RAPACHESESSIONFILELOCKDIR=$(DESTDIR)/$(APACHESESSIONFILELOCKDIR)

# Lemonldap-ng notifications storage dir
APACHEFILENOTIFDIR=$(DATADIR)/notifications
RFILENOTIFDIR=$(DESTDIR)/$(APACHEFILENOTIFDIR)

# Apache user/group
APACHEUSER=
APACHEGROUP=

# Apache version
APACHEVERSION=2

# DNS Domain for cookie and virtual hosts
DNSDOMAIN=example.com

# Virtual Host Listen IP and Port (*, *:80, ...)
VHOSTLISTEN=*:80

# Other
VERSION=`head -n1 changelog |sed -e 's/lemonldap-ng (//' -e 's/).*$$//'`
PORTALSKINS=`ls lemonldap-ng-portal/example/skins/`
MANAGERSKINS=`ls lemonldap-ng-manager/example/skins/`
DIFF=diff -aurN -x '*.bak' -x .svn -x '*.swp' --ignore-matching-lines='.*jquery.*' --ignore-matching-lines='.*lemonldap-ng\.ini.*'

SRCCOMMONDIR=lemonldap-ng-common
SRCHANDLERDIR=lemonldap-ng-handler
SRCPORTALDIR=lemonldap-ng-portal
SRCMANAGERDIR=lemonldap-ng-manager
EXAMPLELANG=en # For static Manager example only
ERASECONFIG=1 # Set to 0 if you do not want to replace your configuration

DIFFPREFIX=

all:	configure common handler manager portal
	@echo
	@echo "Building succeed. Now run :"
	@echo " - make test to verify your installation"
	@echo " - make install to install all"
	@echo
	@echo 'Other targets :'
	@echo " * Partial build :"
	@echo "   - portal, manager, handler"
	@echo " * Doxygen documentation"
	@echo "   - doxygen (to build Doxygen documentation in doc/devel/)"
	@echo
	@echo 'Other targets launched by "make install" :'
	@echo " * Perl libraries install :"
	@echo "   - install_libs          (all Perl libraries)"
	@echo "   - install_portal_libs"
	@echo "   - install_manager_libs"
	@echo "   - install_handler_libs"
	@echo " * Binaries install :"
	@echo "   - install_bin           ($(BINDIR))"
	@echo " * Web sites install :"
	@echo "   - install_site          (all sites including install_doc_site)"
	@echo "   - install_portal_site   ($(PORTALDIR))"
	@echo "   - install_manager_site  ($(MANAGERDIR))"
	@echo "   - install_handler_site  ($(HANDLERDIR))"
	@echo " * Documentation install :"
	@echo "   - install_doc_site      ($(DOCDIR))"
	@echo "   - install_examples_site ($(EXAMPLESDIR))"
	@echo

#
# Perl libraries configuration
#

configure:	common_conf handler_conf portal_conf manager_conf

common_conf:
	@cd ${SRCCOMMONDIR}; LMNGCONFFILE=$(STORAGECONFFILE) $(PERL) Makefile.PL $(PERLOPTIONS)
	@touch common_conf

handler_conf:
	@cd ${SRCHANDLERDIR}; $(PERL) Makefile.PL $(PERLOPTIONS)
	@touch handler_conf

portal_conf:
	@cd ${SRCPORTALDIR}; $(PERL) Makefile.PL $(PERLOPTIONS)
	@touch portal_conf

manager_conf:
	@cd ${SRCMANAGERDIR}; $(PERL) Makefile.PL $(PERLOPTIONS)
	@touch manager_conf

#
# Perl libraries make
#
common:		common_conf
	@$(MAKE) -C ${SRCCOMMONDIR}
	@touch common

handler:	handler_conf
	@$(MAKE) -C ${SRCHANDLERDIR}
	@touch handler

portal:		portal_conf
	@$(MAKE) -C ${SRCPORTALDIR}
	@touch portal

manager:	manager_conf
	@$(MAKE) -C ${SRCMANAGERDIR}
	@touch manager

test:		all common_test handler_test portal_test manager_test extra_test

common_test:	common
	@$(MAKE) -C ${SRCCOMMONDIR} test

handler_test:	handler common_test
	@$(MAKE) -C ${SRCHANDLERDIR} test FULLPERL="$(PERL) -I../${SRCCOMMONDIR}/blib/lib/"

portal_test:	portal handler_test common_test
	@$(MAKE) -C ${SRCPORTALDIR} test FULLPERL="$(PERL) -I../${SRCCOMMONDIR}/blib/lib/ -I../${SRCHANDLERDIR}/blib/lib/"

manager_test:	manager handler_test common_test
	@$(MAKE) -C ${SRCMANAGERDIR} test FULLPERL="$(PERL) -I../${SRCCOMMONDIR}/blib/lib/ -I../${SRCHANDLERDIR}/blib/lib/"

extra_test:	all
	PERL_DL_NONLAZY=1 $(PERL) "-MExtUtils::Command::MM" "-e" "test_harness(0, 'lemonldap-ng-common/blib/lib', 'lemonldap-ng-handler/blib/lib', 'lemonldap-ng-manager/blib/lib', 'lemonldap-ng-portal/blib/lib')" extra-tests/*.t

#
# INSTALL
#
install:	install_libs install_bin install_site

#
# Perl libraires install
#
install_libs:	common_install_libs install_handler_libs install_portal_libs install_manager_libs

common_install_libs:		common
	@$(MAKE) -C ${SRCCOMMONDIR} install

install_handler_libs:	handler
	@$(MAKE) -C ${SRCHANDLERDIR} install

install_portal_libs:		portal
	@$(MAKE) -C ${SRCPORTALDIR} install

install_manager_libs:	manager
	@$(MAKE) -C ${SRCMANAGERDIR} install

example:
	$(MAKE) install_site install_bin LMPREFIX=$(EXAMPLEROOT)

install_bin:	install_conf_dir
	# Binary install
	@install -v -d $(RBINDIR)
	@cp --preserve=mode --remove-destination \
		${SRCHANDLERDIR}/example/scripts/purgeLocalCache \
		${SRCPORTALDIR}/example/scripts/purgeCentralCache \
		${SRCPORTALDIR}/example/scripts/buildPortalWSDL \
		${SRCCOMMONDIR}/scripts/convertConfig \
		${SRCCOMMONDIR}/scripts/lmMigrateConfFiles2ini \
		${SRCMANAGERDIR}/example/scripts/lmConfigEditor \
			$(RBINDIR)
	@if [ ! "$(APACHEUSER)" ]; then \
		$(PERL) -i -pe 's#__APACHEUSER__#nobody#g;' $(RBINDIR)/lmConfigEditor; \
	else \
		$(PERL) -i -pe 's#__APACHEUSER__#$(APACHEUSER)#g;' $(RBINDIR)/lmConfigEditor; \
	fi
	@if [ ! "$(APACHEGROUP)" ]; then \
		$(PERL) -i -pe 's#__APACHEGROUP__#nobody#g;' $(RBINDIR)/lmConfigEditor; \
	else \
		$(PERL) -i -pe 's#__APACHEGROUP__#$(APACHEGROUP)#g;' $(RBINDIR)/lmConfigEditor; \
	fi
	@chmod +x $(RBINDIR)/*

#
# SITE INSTALL
#
install_site:	install_manager_site install_portal_site install_handler_site install_test_site install_examples_site install_doc_site
	# Site install
	@install -v -d $(RCONFDIR)
	# Check if erase is wanted
	@if [ "$(ERASECONFIG)" -eq "1" ]; then \
		cp --remove-destination _example/etc/portal-apache$(APACHEVERSION).conf $(RCONFDIR); \
		cp --remove-destination _example/etc/handler-apache$(APACHEVERSION).conf $(RCONFDIR); \
		cp --remove-destination _example/etc/manager-apache$(APACHEVERSION).conf $(RCONFDIR); \
		cp --remove-destination _example/etc/for_etc_hosts $(RCONFDIR); \
	fi
	@$(PERL) -i -pe 's#__HANDLER__#${HANDLERDIR}/MyHandler.pm#; \
			s/__DNSDOMAIN__/$(DNSDOMAIN)/g; \
			s#__PORTALDIR__#$(PORTALDIR)/#g; \
			s#__MANAGERDIR__#$(MANAGERDIR)/#g; \
			s#__TESTDIR__#$(TESTDIR)/#g; \
			s#__VHOSTLISTEN__#$(VHOSTLISTEN)#g; \
			s#__DOCDIR__#$(DOCDIR)/#g;' $(RCONFDIR)/*apache*.conf
	@$(PERL) -i -pe 's/__DNSDOMAIN__/$(DNSDOMAIN)/g' $(RCONFDIR)/for_etc_hosts
	# Fix a lost of rights on the main directory
	@chmod 755 $(RBINDIR) $(RDOCUMENTROOT) $(REXAMPLESDIR) $(RHANDLERDIR) $(RPORTALSKINSDIR) $(RMANAGERSKINSDIR) $(RTOOLSDIR) $(RCONFDIR) $(RDATADIR)
	@echo
	@echo "LemonLDAP::NG v${VERSION} is installed with these parameters:"
	@echo "  - System configuration: ${CONFDIR}"
	@echo "  - DNS domain (for cookies and virtual hosts): ${DNSDOMAIN}"
	@echo
	@echo "To finish configuration:"
	@echo
	@echo "1 - Add this in your Apache $(APACHEVERSION) configuration file:"
	@echo "      include ${CONFDIR}/portal-apache$(APACHEVERSION).conf"
	@echo "      include ${CONFDIR}/handler-apache$(APACHEVERSION).conf"
	@echo "      include ${CONFDIR}/manager-apache$(APACHEVERSION).conf"
	@echo
	@echo "2 - Restart Apache:"
	@echo "      apache$(APACHEVERSION)ctl restart"
	@echo
	@echo "3 - Run 'make postconf' as root to update /etc/hosts if your DNS service does not known auth.$(DNSDOMAIN) and manager.$(DNSDOMAIN)"
	@echo
	@echo "4 - Try to connect to http://test1.${DNSDOMAIN}/ or http://test2.${DNSDOMAIN}/ with demonstration accounts:"
	@echo "    - rtyler/rtyler"
	@echo "    - msmith/msmith"
	@echo "    - dwho/dwho"
	@echo
	@echo "5 - Connect to Manager at http://manager.${DNSDOMAIN}/ to edit configuration"
	@echo
	@if [ ! "$(APACHEUSER)" ]; then \
		echo;echo "    Warning, since APACHEUSER was not set, $(APACHESESSIONFILEDIR) and $(CONFDIR) have permissive permissions."; \
		echo "    Fix them by yourself to restrict their view to apache process only"; \
	fi
	@echo

install_manager_site:	install_conf_dir
	# Manager install
	@install -v -d ${RMANAGERDIR} ${RMANAGERSKINSDIR} \
		${RSESSIONSEXPLORERDIR} \
		$(RCONFDIR) ${RMANAGERDIR}/skins/
	@for skin in $$(ls lemonldap-ng-manager/example/skins/); do \
		[ -h $(RMANAGERDIR)/skins/$$skin ] && rm -f $(RMANAGERDIR)/skins/$$skin; \
		install -v -d $(RMANAGERSKINSDIR)/$$skin; \
	done
	@cp -pR --remove-destination ${SRCMANAGERDIR}/example/index.pl ${RMANAGERDIR}
	@cp -pR --remove-destination ${SRCMANAGERDIR}/example/notfound.html ${RMANAGERDIR}
	@cp -pR --remove-destination ${SRCMANAGERDIR}/example/skins/* $(RMANAGERSKINSDIR)
	@if [ "$(MANAGERDIR)/skins/" != "$(MANAGERSKINSDIR)/" ]; then \
		for skin in $$(ls lemonldap-ng-manager/example/skins/); do \
			rm -rf $(RMANAGERDIR)/skins/$$skin/; \
			ln -s $(MANAGERSKINSDIR)/$$skin $(RMANAGERDIR)/skins/$$skin; \
		done; \
	fi
	@$(PERL) -i -pe 's/__DNSDOMAIN__/$(DNSDOMAIN)/g' $(RCONFDIR)/$(CONFFILENAME)
	# Sessions explorer and notifications explorer install
	@cp -pR --remove-destination ${SRCMANAGERDIR}/example/sessions.pl $(RSESSIONSEXPLORERDIR)
	@cp -pR --remove-destination ${SRCMANAGERDIR}/example/notifications.pl $(RSESSIONSEXPLORERDIR)
	@rm -rf $$(find ${RMANAGERDIR} ${RMANAGERSKINSDIR} \
		${RSESSIONSEXPLORERDIR} \
		$(RCONFDIR) -type d -name .svn)

install_portal_site:	install_conf_dir
	# Portal install
	@install -v -d $(RPORTALDIR) $(RPORTALSKINSDIR) \
		$(RPORTALDIR)/skins/ \
		$(RCRONDIR) $(RCONFDIR)
	@for skin in $$(ls lemonldap-ng-portal/example/skins/); do \
		[ -h $(RPORTALDIR)/skins/$$skin ] && rm -f $(RPORTALDIR)/skins/$$skin; \
		install -v -d $(RPORTALSKINSDIR)/$$skin; \
	done
	@cp -pR --remove-destination ${SRCPORTALDIR}/example/index_skin.pl ${RPORTALDIR}/index.pl
	@cp -pR --remove-destination ${SRCPORTALDIR}/example/mail.pl ${RPORTALDIR}
	@cp -pR --remove-destination ${SRCPORTALDIR}/example/metadata.pl ${RPORTALDIR}
	@cp -pR --remove-destination ${SRCPORTALDIR}/example/cdc.pl ${RPORTALDIR}
	@tar -cf - -C ${SRCPORTALDIR}/example/skins/ $$(ls ${SRCPORTALDIR}/example/skins/) |tar -xf - -C $(RPORTALSKINSDIR)
	@if [ "$(PORTALDIR)/skins/" != "$(PORTALSKINSDIR)/" ]; then \
		for skin in $$(ls lemonldap-ng-portal/example/skins/); do \
			rm -rf $(RPORTALDIR)/skins/$$skin/; \
			ln -s $(PORTALSKINSDIR)/$$skin $(RPORTALDIR)/skins/$$skin; \
		done; \
	fi
	# Cron files
	@cp --remove-destination lemonldap-ng-portal/example/scripts/purgeCentralCache.cron.d $(RCRONDIR)/lemonldap-ng-portal

=== debian/changelog ===
lemonldap-ng (1.2.2-3) unstable; urgency=low

  * Remove recursive changes in debian/*.postinst (chown and chmod)
  * Remove /var/lib/lemonldap-ng/handler from dh_installdirs list
    (Closes: #694890)
  * Remove pre-defined MyHandler file. Now available from examples only
  * Move test application to examples directory
  * Update README.Debian file
  * Replace duplicate files by links
  * Update descriptions
  * Update debian/copyright (missing entries)
  * Add verify-saml-signatures.patch, fix for CVE-2012-6426 (Closes: #696329)

 -- Xavier Guimard <x.guimard@free.fr>  Sun, 23 Dec 2012 17:36:39 +0100

lemonldap-ng (1.2.2-2) unstable; urgency=low

  * Change maintainer to Debian Perl Group
  * Add Brazilian template translation (Closes: #693366)
  * Update debian/rules to modern format
  * Clean documentation
  * Clean postinst scripts
  * Update debian/copyright
  * Replace old jquery removal script by a patch
  * Update README.Debian
  * Add debian/NEWS
  * Remove lemonldap-ng-doc.dirs
  * Add Vcs-* fields in debian/control
  * Remove debian/distributions file
  * Add libauthcas-perl in the recommended list
  * Update Build-Depends-Indep to test all cases

 -- Xavier Guimard <x.guimard@free.fr>  Fri, 30 Nov 2012 20:30:17 +0100

lemonldap-ng (1.2.2-1) unstable; urgency=low

  * New upstream release
  * Bump Standard-Version to 3.9.4

 -- Xavier Guimard <x.guimard@free.fr>  Sun, 23 Sep 2012 07:34:49 +0200

lemonldap-ng (1.2.1-1+svn20120715) unstable; urgency=low

  * New upstream release
  * SVN repo include some little bugfixes added here

 -- Xavier Guimard <x.guimard@free.fr>  Sun, 15 Jul 2012 09:54:17 +0200

lemonldap-ng (1.1.2-5) unstable; urgency=low

  * Remove some mistakes reported by
    http://lintian.debian.org/full/x.guimard@free.fr.html :
    - use http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
      instead of
      http://wiki.debian.org/Proposals/CopyrightFormat?action=recall&rev=196
    - points to /usr/share/common-licenses/LGPL-3 instead of
      usr/share/common-licenses/LGPL
  * Use dh_link for examples in doc

 -- Xavier Guimard <x.guimard@free.fr>  Sat, 24 Mar 2012 17:56:34 +0100

lemonldap-ng (1.1.2-4) unstable; urgency=low

  * Debian po update:
    - da translation (Closes: #664234)

 -- Xavier Guimard <x.guimard@free.fr>  Mon, 19 Mar 2012 21:32:17 +0100

=== debian/control ===
Source: lemonldap-ng
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Xavier Guimard <x.guimard@free.fr>
Section: perl
Priority: optional
Build-Depends: debhelper (>= 8),
               po-debconf
Build-Depends-Indep: libapache-session-perl,
                     libauthcas-perl,
                     libauthen-captcha-perl,
                     libcache-cache-perl,
                     libcache-memcached-perl,
                     libclone-perl,
                     libcrypt-openssl-rsa-perl,
                     libcrypt-openssl-x509-perl,
                     libcrypt-rijndael-perl,
                     libconfig-inifiles-perl,
                     libdbi-perl,
                     libdigest-hmac-perl,
                     libglib-perl,
                     libhtml-template-perl,
                     libio-string-perl,
                     liblasso-perl (>= 2.3.0),
                     libmime-lite-perl,
                     libnet-ldap-perl,
                     libnet-openid-consumer-perl,
                     libnet-openid-server-perl,
                     libregexp-assemble-perl,
                     libsoap-lite-perl,
                     libstring-random-perl,
                     libtest-mockobject-perl,
                     libtest-pod-perl,
                     liburi-perl,
                     libwww-perl,
                     libxml-libxslt-perl,
                     libxml-simple-perl,
                     perl
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/lemonldap-ng.git
Vcs-Git: git://git.debian.org/pkg-perl/packages/lemonldap-ng.git
Homepage: http://lemonldap-ng.org/

Package: lemonldap-ng
Architecture: all
Depends: ${misc:Depends},
         liblemonldap-ng-handler-perl (= ${binary:Version}),
         liblemonldap-ng-manager-perl (= ${binary:Version}),
         liblemonldap-ng-portal-perl (= ${binary:Version})
Description: LemonLDAP::NG is an OpenID, CAS and SAML compatible Web-SSO system
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID, CAS and SAML systems as identity or service provider. It can also be
 used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers fors
 accounting. So you can have a full AAA protection. Authorization are build by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorizated.
 .
 This package is a metapackage that install handler, manager and portal.

Package: lemonldap-ng-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Lemonldap::NG Web-SSO system documentation
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID, CAS and SAML systems as identity or service provider. It can also be
 used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers fors
 accounting. So you can have a full AAA protection. Authorization are build by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorizated.
 .
 This package contains html documentation.

Package: liblemonldap-ng-handler-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libapache2-mod-perl2,
         libapache-session-perl,
         liblemonldap-ng-conf-perl (= ${binary:Version}),
         liburi-perl,
         libwww-perl
Recommends: libapache-session-browseable-perl
Suggests: libcache-memcached-perl,
          libdigest-hmac-perl,
          liblemonldap-ng-portal-perl,
          libsoap-lite-perl
Description: Lemonldap::NG Apache handler part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID, CAS and SAML systems as identity or service provider. It can also be
 used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers fors
 accounting. So you can have a full AAA protection. Authorization are build by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorizated.
 .
 This package installs the Apache module part (handler) used to protect web
 areas.

Package: liblemonldap-ng-conf-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         debconf,
         libcache-cache-perl,
         libconfig-inifiles-perl,
         libcrypt-openssl-bignum-perl,
         libcrypt-rijndael-perl,
         libxml-simple-perl
Recommends: libdbi-perl,
            libsoap-lite-perl
Description: Lemonldap::NG common files
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID, CAS and SAML systems as identity or service provider. It can also be
 used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers fors
 accounting. So you can have a full AAA protection. Authorization are build by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorizated.
 .
 This package installs common files used by other Lemonldap::NG modules.

Package: liblemonldap-ng-manager-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libconvert-pem-perl,
         libcrypt-openssl-rsa-perl,
         libcrypt-openssl-x509-perl,
         libhtml-template-perl,
         libjson-perl,
         libjs-jquery,
         libjs-jquery-cookie,
         liblemonldap-ng-conf-perl (= ${binary:Version}),
         liblemonldap-ng-handler-perl (= ${binary:Version}),
         libxml-libxml-perl,
         libxml-libxslt-perl,
         libxml-simple-perl
Recommends: lemonldap-ng-doc (= ${binary:Version}),
            libapache-session-browseable-perl | libapache-session-perl,
            libsoap-lite-perl
Pre-Depends: debconf
Description: Lemonldap::NG manager part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID, CAS and SAML systems as identity or service provider. It can also be
 used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers fors
 accounting. So you can have a full AAA protection. Authorization are build by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorizated.
 .
 This package installs the administration interface (manager).

Package: liblemonldap-ng-portal-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libapache-session-perl,
         libclone-perl,
         libcrypt-openssl-x509-perl,
         libhtml-template-perl,
         libjs-jquery,
         libjs-jquery-cookie,
         liblemonldap-ng-conf-perl (= ${binary:Version}),
         libmime-lite-perl,
         libregexp-assemble-perl,
         libsoap-lite-perl,
         libstring-random-perl,
         libxml-libxml-perl,
         libxml-libxslt-perl
Recommends: libapache-session-browseable-perl,
            libconvert-pem-perl,
            libemail-date-format-perl,
            libnet-ldap-perl,
            libnet-openid-consumer-perl | libnet-openid-server-perl | liblasso-perl (>= 2.3.0) | libnet-twitter-perl | libauthcas-perl
Suggests: libauthcas-perl,
          libauthen-captcha-perl,
          libauthen-sasl-perl,
          liblasso-perl (>= 2.3.0),
          liblemonldap-ng-handler-perl (= ${binary:Version}),
          libnet-openid-consumer-perl,
          libnet-openid-server-perl,
          libnet-twitter-perl,
          slapd
Pre-Depends: debconf
Description: Lemonldap::NG authentication portal part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID, CAS and SAML systems as identity or service provider. It can also be
 used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers fors
 accounting. So you can have a full AAA protection. Authorization are build by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorizated.
 .
 This package installs the authentication portal.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LMSHAREDIR=/usr/share/lemonldap-ng
LMVARDIR  =/var/lib/lemonldap-ng
TMP       = $(CURDIR)/debian/tmp

CONFDIR=/etc/lemonldap-ng
SESSIONSDIR=$(LMVARDIR)/sessions
CONFSTORAGEDIR=$(LMVARDIR)/conf
FIRSTCONFFILE=$(CONFSTORAGEDIR)/lmConf-1
LMINIFILE=$(CONFDIR)/lemonldap-ng.ini
CAPTCHADIR=$(LMVARDIR)/portal/captcha_output

%:
	dh $@

override_dh_auto_configure:
	$(MAKE) configure STORAGECONFFILE=/etc/lemonldap-ng/lemonldap-ng.ini \
		PERLOPTIONS="INSTALLDIRS=vendor"

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp \
			PREFIX=/usr/ \
			LMPREFIX=/usr/share/lemonldap-ng/ \
			BINDIR=$(LMSHAREDIR)/bin/ \
			DOCUMENTROOT=$(LMVARDIR) \
			EXAMPLESDIR=/examples/ \
			HANDLERDIR=$(LMSHAREDIR)/handler/ \
			PORTALSKINSDIR=$(LMSHAREDIR)/portal-skins/ \
			MANAGERSKINSDIR=$(LMSHAREDIR)/manager-skins/ \
			SESSIONSEXPLORERDATADIR=$(LMSHAREDIR)/sessions-explorer-imgs/ \
			STORAGECONFFILE=/etc/lemonldap-ng/lemonldap-ng.ini \
			TOOLSDIR=$(LMSHAREDIR)/ressources/ \
			CONFDIR=/etc/lemonldap-ng/ \
			CRONDIR=/etc/cron.d/ \
			DATADIR=$(LMVARDIR) \
			APACHEUSER=www-data \
			APACHEGROUP=www-data \
			DOCDIR=/usr/share/doc/lemonldap-ng-doc

	test -n "$$LOCALBUILD" || ./scripts/minifierjs $$(find debian/tmp/ -name '*.js')
	test -n "$$LOCALBUILD" || ./scripts/minifiercss $$(find debian/tmp/ -name '*.css')

	mkdir $(TMP)/$(LMSHAREDIR)/manager $(TMP)/$(LMSHAREDIR)/portal
	mv $(TMP)/$(LMVARDIR)/portal/*.pl $(TMP)/$(LMSHAREDIR)/portal/
	mv $(TMP)/$(LMVARDIR)/manager/*pl $(TMP)/$(LMSHAREDIR)/manager/

override_dh_compress:
	dh_compress -X favicon.ico

# TO BE TESTED : lintian-overrides is it the only thing needed to hide perms warnings ?
#override_dh_fixperms:
#	dh_fixperms
#	chown www-data:www-data \
#		debian/*/$(SESSIONSDIR) \
#		debian/*/$(SESSIONSDIR)/lock \
#		debian/liblemonldap-ng-conf-perl/$(CONFSTORAGEDIR) \
#		debian/liblemonldap-ng-portal-perl/$(CAPTCHADIR)
#	chgrp www-data debian/liblemonldap-ng-conf-perl/$(LMINIFILE) \
#		debian/liblemonldap-ng-conf-perl/$(FIRSTCONFFILE)
#	chmod 770 debian/*/$(SESSIONSDIR) debian/*/$(SESSIONSDIR)/lock
#	chmod 750 debian/liblemonldap-ng-conf-perl/$(CONFSTORAGEDIR)
#	chmod 640 debian/liblemonldap-ng-conf-perl/$(FIRSTCONFFILE) \
#		debian/liblemonldap-ng-conf-perl/$(LMINIFILE)

## lemonldap-ng 1.2.4

=== debian/changelog ===
lemonldap-ng (1.2.4-2) unstable; urgency=low

  * Fix "transition towards Apache 2.4" by adding a patch to comment
    Apache-2.4 example configuration files (Closes: #669808, #669809, #669822)

 -- Xavier Guimard <x.guimard@free.fr>  Sun, 02 Jun 2013 17:08:26 +0200

lemonldap-ng (1.2.4-1) unstable; urgency=low

  * Imported upstream version 1.2.4
  * Replace libhttp-message-perl dependency by
    "libhttp-message-perl | libwww-perl (<< 6)"

 -- Xavier Guimard <x.guimard@free.fr>  Wed, 24 Apr 2013 07:05:48 +0200

lemonldap-ng (1.2.3-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)

  [ Xavier Guimard ]
    Thanks a lot to Florian Schlichting for its review
  * Imported upstream version 1.2.3
  * Update debian/copyright:
    + change remote license to GPL-2+
    + update years
  * Update dependencies (many changes in upstream)
  * Remove verify-saml-signatures.patch now included in upstream
  * Fix permissions in debian/rules instead of in postinst scripts and add
    lintian-overrides files to hide lintian permissions warnings
  * Add patch to fix "Use of qw(...) as parentheses is deprecated" warning
  * Install MyHandler.pm in /usr/share/lemonldap-ng/handler/
  * Update debian/control description
  * Change remote license to GPL-2+ (change introduced in 1.2.3)
  * Use dpkg --compare-versions to launch migration scripts in *.postinst
  * Correct #DEBHELPER# usage in *.postinst
  * Add patch to remove upstream dev hook

 -- Xavier Guimard <x.guimard@free.fr>  Mon, 15 Apr 2013 06:33:58 +0200

=== debian/control ===
Source: lemonldap-ng
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Xavier Guimard <x.guimard@free.fr>
Section: perl
Priority: optional
Build-Depends: debhelper (>= 8),
               po-debconf
Build-Depends-Indep: libapache-session-perl,
                     libauthcas-perl,
                     libauthen-captcha-perl,
                     libcache-cache-perl,
                     libclone-perl,
                     libcrypt-openssl-rsa-perl,
                     libcrypt-openssl-x509-perl,
                     libcrypt-rijndael-perl,
                     libconfig-inifiles-perl,
                     libdbi-perl,
                     libdigest-hmac-perl,
                     libglib-perl,
                     libhtml-template-perl,
                     libio-string-perl,
                     libjson-perl,
                     liblasso-perl (>= 2.3.0),
                     libmime-lite-perl,
                     libnet-cidr-lite-perl,
                     libnet-ldap-perl,
                     libnet-openid-consumer-perl,
                     libnet-openid-server-perl,
                     libregexp-assemble-perl,
                     libsoap-lite-perl,
                     libstring-random-perl,
                     libtest-mockobject-perl,
                     libtest-pod-perl,
                     liburi-perl,
                     libhttp-message-perl | libwww-perl (<< 6),
                     libwww-perl,
                     libxml-libxml-perl,
                     libxml-libxslt-perl,
                     libxml-simple-perl,
                     perl
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/lemonldap-ng.git
Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/lemonldap-ng.git
Homepage: http://lemonldap-ng.org/

Package: lemonldap-ng
Architecture: all
Depends: ${misc:Depends},
         liblemonldap-ng-handler-perl (= ${binary:Version}),
         liblemonldap-ng-manager-perl (= ${binary:Version}),
         liblemonldap-ng-portal-perl (= ${binary:Version})
Description: LemonLDAP::NG is an OpenID, CAS and SAML compatible Web-SSO system
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID, CAS and SAML systems as identity or service provider. It can also be
 used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package is a metapackage that install handler, manager and portal.

Package: lemonldap-ng-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Lemonldap::NG Web-SSO system documentation
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID, CAS and SAML systems as identity or service provider. It can also be
 used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package contains html documentation.

Package: liblemonldap-ng-handler-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libapache2-mod-perl2,
         liblemonldap-ng-conf-perl (= ${binary:Version}),
         libwww-perl
Recommends: libapache-session-browseable-perl,
            libhttp-message-perl | libwww-perl (<< 6)
Suggests: libcache-memcached-perl,
          libdigest-hmac-perl,
          liblemonldap-ng-portal-perl,
          libsoap-lite-perl
Description: Lemonldap::NG Apache handler part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID, CAS and SAML systems as identity or service provider. It can also be
 used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package installs the Apache module part (handler) used to protect web
 areas.

Package: liblemonldap-ng-conf-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         debconf,
         libapache-session-perl,
         libcache-cache-perl,
         libconfig-inifiles-perl,
         libcrypt-openssl-rsa-perl,
         libcrypt-openssl-x509-perl,
         libcrypt-rijndael-perl,
         libdbi-perl,
         libnet-cidr-lite-perl,
         libregexp-assemble-perl,
         libsoap-lite-perl
Recommends: libhtml-template-perl,
            libnet-ldap-perl,
            libhttp-message-perl | libwww-perl (<< 6),
            libxml-libxml-perl,
            libxml-simple-perl
Description: Lemonldap::NG common files
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID, CAS and SAML systems as identity or service provider. It can also be
 used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package installs common files used by other Lemonldap::NG modules.

Package: liblemonldap-ng-manager-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libconvert-pem-perl,
         libcrypt-openssl-rsa-perl,
         libhtml-template-perl,
         libjson-perl,
         libjs-jquery,
         libjs-jquery-cookie,
         liblemonldap-ng-conf-perl (= ${binary:Version}),
         liblemonldap-ng-handler-perl (= ${binary:Version}),
         libwww-perl,
         libxml-libxml-perl,
         libxml-libxslt-perl
Recommends: lemonldap-ng-doc (= ${binary:Version}),
            libapache-session-browseable-perl
Pre-Depends: debconf
Description: Lemonldap::NG manager part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID, CAS and SAML systems as identity or service provider. It can also be
 used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package installs the administration interface (manager).

Package: liblemonldap-ng-portal-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libclone-perl,
         libhtml-template-perl,
         libjs-jquery,
         libjs-jquery-cookie,
         liblemonldap-ng-conf-perl (= ${binary:Version}),
         liblemonldap-ng-handler-perl (= ${binary:Version}),
         libnet-ldap-perl
Recommends: libapache-session-browseable-perl,
            libnet-openid-consumer-perl | libnet-openid-server-perl | liblasso-perl (>= 2.3.0) | libnet-twitter-perl | libauthcas-perl
Suggests: libauthcas-perl,
          libauthen-captcha-perl,
          libdbi-perl,
          libglib-perl,
          liblasso-perl (>= 2.3.0),
          libmime-lite-perl,
          libnet-openid-consumer-perl,
          libnet-openid-server-perl,
          libnet-twitter-perl,
          libsoap-lite-perl,
          libstring-random-perl,
          liburi-perl,
          libhttp-message-perl | libwww-perl (<< 6),
          libwww-perl,
          libxml-libxml-perl,
          libxml-libxslt-perl,
          libxml-simple-perl,
          slapd
Pre-Depends: debconf
Description: Lemonldap::NG authentication portal part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application Apache servers. It can be used in conjunction with
 OpenID, CAS and SAML systems as identity or service provider. It can also be
 used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package installs the authentication portal.

## lemonldap-ng 1.2.5

=== Makefile ===
--- 
+++ 
@@ -90,7 +90,7 @@
 VERSION=`head -n1 changelog |sed -e 's/lemonldap-ng (//' -e 's/).*$$//'`
 PORTALSKINS=`ls lemonldap-ng-portal/example/skins/`
 MANAGERSKINS=`ls lemonldap-ng-manager/example/skins/`
-DIFF=diff -aurN -x '*.bak' -x .svn -x '*.swp' --ignore-matching-lines='.*jquery.*' --ignore-matching-lines='.*lemonldap-ng\.ini.*'
+DIFF=diff -aurN -x '*.bak' -x .svn -x '*.swp' --ignore-matching-lines='.*jquery.*' --ignore-matching-lines='.*lemonldap-ng\.ini.*' 
 
 SRCCOMMONDIR=lemonldap-ng-common
 SRCHANDLERDIR=lemonldap-ng-handler
@@ -248,6 +248,7 @@
 		cp --remove-destination _example/etc/portal-apache$(APACHEVERSION).conf $(RCONFDIR); \
 		cp --remove-destination _example/etc/handler-apache$(APACHEVERSION).conf $(RCONFDIR); \
 		cp --remove-destination _example/etc/manager-apache$(APACHEVERSION).conf $(RCONFDIR); \
+		cp --remove-destination _example/etc/test-apache$(APACHEVERSION).conf $(RCONFDIR); \
 		cp --remove-destination _example/etc/for_etc_hosts $(RCONFDIR); \
 	fi
 	@$(PERL) -i -pe 's#__HANDLER__#${HANDLERDIR}/MyHandler.pm#; \
@@ -271,6 +272,7 @@
 	@echo "      include ${CONFDIR}/portal-apache$(APACHEVERSION).conf"
 	@echo "      include ${CONFDIR}/handler-apache$(APACHEVERSION).conf"
 	@echo "      include ${CONFDIR}/manager-apache$(APACHEVERSION).conf"
+	@echo "      include ${CONFDIR}/test-apache$(APACHEVERSION).conf"
 	@echo
 	@echo "2 - Restart Apache:"
 	@echo "      apache$(APACHEVERSION)ctl restart"
@@ -335,6 +337,3 @@
 			rm -rf $(RPORTALDIR)/skins/$$skin/; \
 			ln -s $(PORTALSKINSDIR)/$$skin $(RPORTALDIR)/skins/$$skin; \
 		done; \
-	fi
-	# Cron files
-	@cp --remove-destination lemonldap-ng-portal/example/scripts/purgeCentralCache.cron.d $(RCRONDIR)/lemonldap-ng-portal

=== debian/changelog ===
lemonldap-ng (1.2.5-1) unstable; urgency=low

  * Imported Upstream version 1.2.5
  * Change dependencies as proposed by upstream :
    + Add liblwp-protocol-https-perl in dependencies
    + Move liblemonldap-ng-handler-perl from portal dependencies to
      suggested dependencies
  * Remove hide-perl-warning and remove-dev-hook patches now included in
    upstram
  * Update description

 -- Xavier Guimard <x.guimard@free.fr>  Thu, 05 Sep 2013 06:37:22 +0200

=== debian/control ===
--- 
+++ 
@@ -49,7 +49,7 @@
          liblemonldap-ng-handler-perl (= ${binary:Version}),
          liblemonldap-ng-manager-perl (= ${binary:Version}),
          liblemonldap-ng-portal-perl (= ${binary:Version})
-Description: LemonLDAP::NG is an OpenID, CAS and SAML compatible Web-SSO system
+Description: OpenID, CAS and SAML compatible Web-SSO system
  Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
  or directly on application Apache servers. It can be used in conjunction with
  OpenID, CAS and SAML systems as identity or service provider. It can also be
@@ -87,7 +87,8 @@
          liblemonldap-ng-conf-perl (= ${binary:Version}),
          libwww-perl
 Recommends: libapache-session-browseable-perl,
-            libhttp-message-perl | libwww-perl (<< 6)
+            libhttp-message-perl | libwww-perl (<< 6),
+            liblwp-protocol-https-perl | libwww-perl (<< 6)
 Suggests: libcache-memcached-perl,
           libdigest-hmac-perl,
           liblemonldap-ng-portal-perl,
@@ -124,6 +125,7 @@
 Recommends: libhtml-template-perl,
             libnet-ldap-perl,
             libhttp-message-perl | libwww-perl (<< 6),
+            liblwp-protocol-https-perl | libwww-perl (<< 6),
             libxml-libxml-perl,
             libxml-simple-perl
 Description: Lemonldap::NG common files
@@ -155,7 +157,8 @@
          libxml-libxml-perl,
          libxml-libxslt-perl
 Recommends: lemonldap-ng-doc (= ${binary:Version}),
-            libapache-session-browseable-perl
+            libapache-session-browseable-perl,
+            liblwp-protocol-https-perl | libwww-perl (<< 6)
 Pre-Depends: debconf
 Description: Lemonldap::NG manager part
  Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
@@ -179,8 +182,10 @@
          libjs-jquery,
          libjs-jquery-cookie,
          liblemonldap-ng-conf-perl (= ${binary:Version}),
-         liblemonldap-ng-handler-perl (= ${binary:Version}),
-         libnet-ldap-perl
+         libmime-lite-perl,
+         libnet-ldap-perl,
+         libstring-random-perl,
+         libunicode-string-perl
 Recommends: libapache-session-browseable-perl,
             libnet-openid-consumer-perl | libnet-openid-server-perl | liblasso-perl (>= 2.3.0) | libnet-twitter-perl | libauthcas-perl
 Suggests: libauthcas-perl,
@@ -188,14 +193,14 @@
           libdbi-perl,
           libglib-perl,
           liblasso-perl (>= 2.3.0),
-          libmime-lite-perl,
+          liblemonldap-ng-handler-perl (= ${binary:Version}),
           libnet-openid-consumer-perl,
           libnet-openid-server-perl,
           libnet-twitter-perl,
           libsoap-lite-perl,
-          libstring-random-perl,
           liburi-perl,
           libhttp-message-perl | libwww-perl (<< 6),
+          liblwp-protocol-https-perl | libwww-perl (<< 6),
           libwww-perl,
           libxml-libxml-perl,
           libxml-libxslt-perl,

=== debian/rules ===
--- 
+++ 
@@ -51,17 +51,20 @@
 override_dh_compress:
 	dh_compress -X favicon.ico
 
-# TO BE TESTED : lintian-overrides is it the only thing needed to hide perms warnings ?
-#override_dh_fixperms:
-#	dh_fixperms
-#	chown www-data:www-data \
-#		debian/*/$(SESSIONSDIR) \
-#		debian/*/$(SESSIONSDIR)/lock \
-#		debian/liblemonldap-ng-conf-perl/$(CONFSTORAGEDIR) \
-#		debian/liblemonldap-ng-portal-perl/$(CAPTCHADIR)
-#	chgrp www-data debian/liblemonldap-ng-conf-perl/$(LMINIFILE) \
-#		debian/liblemonldap-ng-conf-perl/$(FIRSTCONFFILE)
-#	chmod 770 debian/*/$(SESSIONSDIR) debian/*/$(SESSIONSDIR)/lock
-#	chmod 750 debian/liblemonldap-ng-conf-perl/$(CONFSTORAGEDIR)
-#	chmod 640 debian/liblemonldap-ng-conf-perl/$(FIRSTCONFFILE) \
-#		debian/liblemonldap-ng-conf-perl/$(LMINIFILE)
+# Fix lemonldap-ng dirs permissions and owner since dh_fixperms change them:
+#  * global configuration dirs must be writable by www-data but not readable
+#    by all (also sessions, captcha,... dirs)
+#  * lemonldap-ng.ini must not be readable by all
+override_dh_fixperms:
+	dh_fixperms
+	chown www-data:www-data \
+		debian/*/$(SESSIONSDIR) \
+		debian/*/$(SESSIONSDIR)/lock \
+		debian/liblemonldap-ng-conf-perl/$(CONFSTORAGEDIR) \
+		debian/liblemonldap-ng-portal-perl/$(CAPTCHADIR)
+	chgrp www-data debian/liblemonldap-ng-conf-perl/$(LMINIFILE) \
+		debian/liblemonldap-ng-conf-perl/$(FIRSTCONFFILE)
+	chmod 770 debian/*/$(SESSIONSDIR) debian/*/$(SESSIONSDIR)/lock
+	chmod 750 debian/liblemonldap-ng-conf-perl/$(CONFSTORAGEDIR)
+	chmod 640 debian/liblemonldap-ng-conf-perl/$(FIRSTCONFFILE) \
+		debian/liblemonldap-ng-conf-perl/$(LMINIFILE)
